class_name Focus
extends Camera2D
# Transition to next slide and focus current slide


signal ended


func focus_on(pos: Vector2, scope: float) -> void:
	set_position(pos)
	set_zoom(Vector2.ONE / scope)
	ended.emit()


func _on_show_new_focus(pos: Vector2, scope: float) -> void:
	focus_on(pos, scope)
